@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        @if(isset($appointment))
                        <form class="forms-sample" action="{{ route('admin.updateAppointment', $appointment->id) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <h4 class="card-title">Edit Services</h4>
                                    <div class="slider1">

                                        <div class="form-group">
                                            <label for="exampleInputUsername1">First Name</label>
                                            <input type="text" class="form-control" name="f_name" id="exampleInputUsername1"
                                                value="{{ $appointment->f_name }}">
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Last Name</label>
                                            <input type="text" class="form-control" name="l_name" id="exampleInputUsername1"
                                                value="{{ $appointment->l_name }}">
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Status</label>
                                            <select type="text" class="form-control" name="status" id="exampleInputUsername1">
                                                <option value="">Select Status</option>
                                                @foreach($enumValues as $value)
                                                    <option class="" value="{{ $value }}" {{ $appointment->status == $value ? 'selected' : ''}}>{{ $value }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Email</label>
                                            <input type="text" class="form-control" name="email" id="exampleInputUsername1"
                                                value="{{ $appointment->email }}">
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Phone</label>
                                            <input type="text" class="form-control" name="phone" id="exampleInputUsername1"
                                                value="{{ $appointment->phone }}">
                                        </div>
                                        <div class="form-group">
                                            <div class="number-box">
                                                <p class="f-text">Date</p>
                                                <input type="date" name="date" value="{{ $appointment->date }}" class="form-control f-input lev required" required>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="number-box">
                                                <p class="f-text">Time</p>
                                                <input type="time" name="time" value="{{ $appointment->time }}" class="form-control f-input lev required" required>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="number-box">
                                                <p class="f-text">Services</p>
                                                <select name="service_id" id="" class="lev form-control required" required>
                                                    <option value="">Select Service</option>
                                                    @foreach($services as $service)
                                                    <option value="{{ $service->id }}" {{ $appointment->service_id == $service->id ? 'selected' : ''}}>{{ $service->title }}
                                                    </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update</button>
                                </div>
                            </div>

                        </form>
                        @endif
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.allImgs').on('click', '.deleteImage', function(){
            var serviceId = $('.serviceId').val();
            var imageId = $(this).data('image-id');
            var parent = $(this).parent().parent().parent().parent();
            
            $.ajax({
                url: '{{ route("deleteServiceImg") }}', // Replace this with the actual route
                method: 'POST',
                data: {
                    serviceId: serviceId,
                    imageId: imageId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });

        $('.addImage').on('click', function () {
            const fileInput = document.getElementById('service_image');
            var serviceId = $('.serviceId').val();

            // Check if a file has been selected
            if (fileInput.files.length > 0) {
                const selectedFile = fileInput.files[0];

                // Create a FormData object
                var formData = new FormData();
                formData.append('serviceId', serviceId);
                formData.append('selectedFile', selectedFile);

                $.ajax({
                    url: '{{ route("addServiceImg") }}', // Replace this with the actual route
                    method: 'POST',
                    data: formData,
                    processData: false,  // Prevent jQuery from processing the data
                    contentType: false,  // Prevent jQuery from setting contentType
                    headers: {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        // Handle success response
                        console.log(['image', response.image, 'serviceId', response.serviceId, 'imageId', response.imageId]);
                        $('.serviceImages').append('<div class="col-12 col-lg-3"><div class="slider1"><div class="imgbox" data-aos="fade-right" data-aos-duration="1500"><img src="' + response.image + '" class="img-fluid" alt="" style="width:100%; height:275px; object-fit: cover;"><input type="hidden" class="serviceId" value="' + response.serviceId + '"><div style="position: relative; top: -275px; text-align: end;"><div class="btn btn-danger deleteImage" data-image-id="' + response.imageId + '"><i class="fa-solid fa-trash-can"></i></div></div></div></div></div>')
                        toastr.success(response.msg);
                        document.getElementById('uploaded').src = '';
                    },
                    error: function (error) {
                        // Handle error response
                        toastr.error("Something went wrong");
                    }
                });
            } else {
                console.log('No file selected');
            }
        });


        $(document).ready(function () {
            var parentAppend = $(".parent_append");
            $('.addBenefits').click(function () {

                if (parentAppend.children().length < 5) {
                $('.parent_append:last').append(' <div class="benefits"> <div class="form-group"> <label for="exampleInputUsername1">Benefit Name</label> <div class="row"> <div class="col-12 col-md-8"> <input type="text"  name="benefit_title[]" class="form-control" id="exampleInputUsername1" placeholder=""> </div> <div class="col-12 col-md-4 d-flex justify-content-end"><button type="button" class="btn btn-danger w-100 removeBenefits btn-icon-text">Delete<i class="typcn typcn-delete-outline btn-icon-append"></i></button></div> </div> </div> <div class="form-group"> <label for="exampleInputUsername1">Benefit description</label> <textarea id="summernote" name="benefit_desc[]"></textarea> </div> </div>');
                } else {
                alert("You can only add 5 Benefits, Can't add more.");
                }

                $('textarea#summernote').summernote({
                placeholder: 'Type here...',
                tabsize: 2,
                height: 200,
                });

            });

            $('.parent_append').on('click', '.removeBenefits', function () {
                $(this).parent().parent().parent().parent().remove();
            });

        });

    </script>
@endsection