@extends('admin.layout.app')

<style>

.table td img {
    width: 55% !important;
    height: 60px !important;
    object-fit: contain ;
    border-radius: 0 !important;
}

</style>

@section('content')

    <div class="content-wrapper">
        
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Name</th>
                                    <th>Service</th>
                                    <th>Time</th>
                                    <th>Date</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                            @php $i=1; @endphp
                                @foreach($appointments as $appointment)
                                <tr>
                                    <td>{{ $i++ }}</td>
                                    <td>{{ $appointment->f_name }}</td>
                                    <td>{{ $appointment->service->title }}</td>
                                    <td>{{ \Carbon\Carbon::parse($appointment->time)->format('h:i A') }}</td>
                                    <td>{{ \Carbon\Carbon::parse($appointment->date)->format('d M') }}</td>
                                    @if($appointment->status == "completed")
                                    <td><span class="badge badge-success">Completed</span></td>
                                    @elseif($appointment->status == "pending")
                                    <td><span class="badge badge-danger">Pending</span></td>
                                    @else
                                    <td><span class="badge badge-danger">Missed</span></td>
                                    @endif
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="{{ route('admin.editAppointment', $appointment->id) }}" type="button" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </a>
                                            <!-- <button type="button" class="btn btn-danger deleteAppointment btn-sm btn-icon-text" data-appointment-id="{{ $appointment->id }}">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button> -->
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <div class="card align-items-center imagePagination">
                    {{ $appointments->links() }}
                </div>
            </div>
        </div>

    </div>

@endsection

@section('script')
    <script>
        $('.deleteAppointment').on('click', function(){
            var appointmentId = $(this).data('appointment-id');
            var parent = $(this).parent().parent().parent();
            $.ajax({
                url: '', // Replace this with the actual route
                method: 'POST',
                data: {
                    appointmentId: appointmentId,
                },
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                success: function (response) {
                    // Handle success response
                    parent.remove();
                    toastr.success(response.msg);
                },
                error: function (error) {
                    // Handle error response
                    toastr.error("something went wrong");
                }
            });
        });
    </script>
@endsection